package com.ss.android.ugc.aweme.mention.service;

import X.2Pr;
import X.C2883AzX;
import X.LsC;
import X.LsE;
import android.content.Context;
import android.content.Intent;
import android.text.Editable;
import android.view.View;
import androidx.fragment.app.Fragment;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.profile.model.User;

public interface IMentionDataService {
    static {
        Covode.recordClassIndex(92086);
    }

    User LIZ(Intent intent);

    String LIZ(int i, Editable editable, boolean z);

    void LIZ(int i, Editable editable);

    void LIZ(C2883AzX azX);

    void LIZ(Context context, Fragment fragment, View.OnClickListener onClickListener, LsC<? super User, 2Pr> lsC, LsE<? super User, ? super Integer, ? super String, Boolean> lsE, LsC<? super String, Boolean> lsC2);
}
